					


					local x, y, z = getRotation(self.rotationPartabl6.node);
		   local rot = {x,y,z};
		   local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartabl6.maxRot, self.rotationPartabl6.minRot, 3, self.rotationPartabl6.rotTime, dt, not self.rotationMaxabl6);
		   setRotation(self.rotationPartabl6.node, unpack(newRot));
		   local x, y, z = getRotation(self.rotationPartabl6.node);
		   local rot = {x,y,z};
		   local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartabl6.maxRot, self.rotationPartabl6.minRot, 3, self.rotationPartabl6.rotTime, dt, not self.rotationMaxabl6);
		   setRotation(self.rotationPartabl6.node, unpack(newRot));
	  else